/*****************

  SCHEDULE STYLE

*****************/

h3 {
    margin-bottom: 10px;
}

h2 {
    margin-top: 100px;
    margin-bottom: 70px;
}

#scheduling p {
    text-align: center;
}

#schedule-header {
    background: url(../img/schedule/schedule-header.jpg) top center no-repeat fixed;
    background-size: cover;
}

.schedule-section {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    /* border-top: 1px solid lightgray;
    border-bottom: 1px solid lightgray; */
    padding: 20px 0;
}

.schedule-element {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid lightgray;
    padding: 20px 0;
}

.final-show {
    border-bottom: none;
}

.schedule-element-1, .schedule-element-2, .schedule-element-4 {
    height: 200px;
    min-width: 200px;
}

.schedule-element-2 {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
}

.schedule-element-3 {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    text-align: center;
    min-height: 150px;
    flex-grow: 2;
    padding: 25px 40px;
}

.schedule-element-3 p {
    line-height: 1.1rem;
    margin-top: 10px;
}

.schedule-element-3 h3 a {
    color: black;
}

.schedule-element-3 h3 a:hover {
    background-color: black;
    color: white;
}

.italic {
    font-style: italic;
    margin: 0;
    padding: 0;
}

.schedule-element-1 {
    justify-content: center;
    display: flex;
    align-items: center;
}

.schedule-element-1 p {
    margin-top: 0;
    /* padding-top: 70px; */
    text-align: center;
    font-size: 2em;
}

.schedule-element-3 h3 {
    font-size: 2em;
}

/* #scheduling a {
    color: blue;
} */

#scheduling a:hover {
    color: white;
}

.schedule-links {
    margin-top: 15px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
}

.schedule-links p {
    border: 1px solid;
    border-color: #fcdc4a #fcdc4a #d8b103 #d8b103;
    background-color: #FBCF0E;
    padding: 6px 10px;
    /* border-radius: 4px; */
    box-shadow: 1px 1px 3px black;
}

.schedule-links p:hover {
    background-color: #f1c604;
    border-color: #d8b103 #d8b103 #fcdc4a #fcdc4a;
}

.disabled-link {
    border-color: black !important;
    background-color: darkgray !important;
    /* Don't have a link for this event */
}

.stem-icon {
    height: 50px;
    aspect-ratio: 401/325;
}

.schedule-links a,
.schedule-links a:hover {
    background-color: white;
}

.schedule-links a:hover p {
    color: black;
}

.old-events {
    background: url(../img/old-index-header.png) center center no-repeat;
    background-size: cover;
    width: 80%;
    max-width: 800px;
    aspect-ratio: 4;
    border: 2px solid black;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.5);
    border-radius: 5px;
    margin: 100px auto;
}

p.tentative-event {
    font-size: 1rem;
    padding-top: 0;
}

.past-events :nth-child(3) p,
.past-events :nth-child(3) div {
    display: none;
}

@media only screen and (max-width: 875px) {
    .schedule-element {
        flex-direction: column;
    }

    .schedule-element-1 {
        height: 2em;
        padding: 10px;
    }

    /* .schedule-element-3 {
        height: auto;
    } */

    .no-logo {
        display: none;
    }
}

@media only screen and (max-width: 785px) {

}

@media only screen and (max-width: 533px) {
    
}

@media only screen and (max-width: 407px) {

}